## google-android-installers 1659100756

=== for-postinst/default/Makefile ===
PKG_SOURCE_URL:=${DL_MIRROR}/android/repository/${REPO_DIR}${PKG_SOURCE}

DL_DIR=/var/cache/google-android-${PKG_NAME}-installer
INSTALL_DIR=/usr/lib/${INS_DIR}
DOC_DIR=/usr/share/doc/google-android-${PKG_NAME}

all: $(UNPACK_DIR)/source.properties

install: all
	$(eval UNPACK_DIR=$(DL_DIR)/$(shell \
		if [ $$(unzip -Z -1 $(DL_DIR)/$(PKG_SOURCE) | cut -d '/' -f1 | sort -u | wc -l) -gt 1 ]; then \
		  echo $(TRG_DIR) ;\
		else \
		  unzip -Z -1 $(DL_DIR)/$(PKG_SOURCE) | head -1 | cut -d '/' -f 1 ;\
		fi)/)
	install -d -m0755 $(DOC_DIR)
	@if [ -f $(UNPACK_DIR)source.properties ]; then \
		install -m0644 $(UNPACK_DIR)source.properties $(DOC_DIR)/ ; \
        fi
	@if [ -f $(UNPACK_DIR)NOTICE.txt ]; then \
		gzip -9 --stdout $(UNPACK_DIR)/NOTICE.txt > $(DOC_DIR)/copyright.gz ; \
        fi
	find ${DOC_DIR} | sort >> /var/lib/dpkg/info/google-android-${PKG_NAME}-installer.list
	chmod -R a+rX $(UNPACK_DIR)
	chmod -R go-w $(UNPACK_DIR)
	install -d -m0755 $(INSTALL_DIR)
	@if [ ! -d $(INSTALL_DIR)$(TRG_DIR) ]; then \
		mv $(UNPACK_DIR) $(INSTALL_DIR)${TRG_DIR}  ;\
		if [ -e "/usr/share/google-android-${PKG_NAME}-installer/package.xml" ]; then \
		  ln -s $$(realpath /usr/share/google-android-${PKG_NAME}-installer/package.xml --relative-to=$(INSTALL_DIR)${TRG_DIR} ) $(INSTALL_DIR)${TRG_DIR}/package.xml ;\
		fi ;\
		TMPDIR=$$(realpath $(INSTALL_DIR)${TRG_DIR} --relative-to=/usr/lib) ;\
		(while [ "$$(dirname "$$TMPDIR")" != "." ]; do \
		  TMPDIR="$$(dirname "$$TMPDIR")" ;\
		  echo "/usr/lib/$$TMPDIR" ;\
		done) | tac >> /var/lib/dpkg/info/google-android-${PKG_NAME}-installer.list ;\
		find ${INSTALL_DIR}${TRG_DIR}  | sort >> /var/lib/dpkg/info/google-android-${PKG_NAME}-installer.list ;\
	else\
		echo "\033[0;31m$(INSTALL_DIR)${TRG_DIR} already exists.\033[0m" ; \
		exit 1 ; \
	fi

$(UNPACK_DIR)/source.properties: $(DL_DIR)/$(PKG_SOURCE)
	@echo "\n  Unzipping $(PKG_SOURCE). Please be patient, this may take some time."
	@if [ $$(unzip -Z -1 $(DL_DIR)/$(PKG_SOURCE) | cut -d '/' -f1 | sort -u | wc -l) -gt 1 ]; then \
	  mkdir -p ${DL_DIR}/${TRG_DIR}; \
	  cd $(DL_DIR)/${TRG_DIR} && unzip -ouq $(DL_DIR)/$(PKG_SOURCE); \
	else \
	  cd $(DL_DIR) && unzip -ouq $(DL_DIR)/$(PKG_SOURCE); \
	fi

$(DL_DIR)/$(PKG_SOURCE):
	cd $(DL_DIR) && \
		su nobody -s /bin/sh -c "wget --continue $(PKG_SOURCE_URL) -O $(PKG_SOURCE).tmp && mv $(PKG_SOURCE).tmp $(PKG_SOURCE)"
	sha1sum -c $(PKG_SOURCE).sha1

clean:
	-rm -rf -- $(UNPACK_DIR)

distclean: clean
	-rm -rf -- $(DL_DIR)

.PHONY: install clean

## google-android-installers 1472023576

=== debian/changelog ===
google-android-installers (1472023576) unstable; urgency=medium

  * Initial release (Closes: #834512)

 -- Mouaad Aallam <Mouaad@Aallam.com>  Tue, 19 Jul 2016 12:00:25 +0000

=== debian/control ===
Source: google-android-installers
Section: contrib/devel
Priority: optional
Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
Uploaders: Mouaad Aallam <Mouaad@Aallam.com>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.8
Homepage: https://developer.android.com/about/index.html
Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/google-android-installers.git
Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/google-android-installers.git

Package: google-android-platform-24-installer
Architecture: all
Depends: ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 24 Installer
 This package will download the Google's Android SDK Platform 24 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be 
 specified as build target.
 .
 WARNING: Installing this Debian package causes platform-24_r01.zip to be
 downloaded from dl.google.com and/or from other suggested mirrors. The End
 User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-23-installer
Architecture: all
Depends: ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 23 Installer
 This package will download the Google's Android SDK Platform 23 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be 
 specified as build target.
 .
 WARNING: Installing this Debian package causes platform-23_r03.zip to be
 downloaded from dl.google.com and/or from other suggested mirrors. The End
 User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-22-installer
Architecture: all
Depends: ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 22 Installer
 This package will download the Google's Android SDK Platform 22 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be 
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-22_r02.zip to be
 downloaded from dl.google.com and/or from other suggested mirrors. The End
 User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-21-installer
Architecture: all
Depends: ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 21 Installer
 This package will download the Google's Android SDK Platform 21 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-21_r02.zip
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-20-installer
Architecture: all
Depends: ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 20 Installer
 This package will download the Google's Android SDK Platform 20 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-20_r02.zip
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-19-installer
Architecture: all
Depends: ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 19 Installer
 This package will download the Google's Android SDK Platform 19 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-19_r04.zip
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-18-installer
Architecture: all
Depends: ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 18 Installer
 This package will download the Google's Android SDK Platform 18 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-18_r03.zip
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-17-installer
Architecture: all
Depends: ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 17 Installer
 This package will download the Google's Android SDK Platform 17 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-17_r03.zip
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-16-installer
Architecture: all
Depends: ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 16 Installer
 This package will download the Google's Android SDK Platform 16 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-16_r05.zip
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-15-installer
Architecture: all
Depends: ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 15 Installer
 This package will download the Google's Android SDK Platform 15 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-15_r05.zip
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-14-installer
Architecture: all
Depends: ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 14 Installer
 This package will download the Google's Android SDK Platform 14 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-14_r04.zip
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-13-installer
Architecture: all
Depends: ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 13 Installer
 This package will download the Google's Android SDK Platform 13 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-3.2_r01.zip
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-12-installer
Architecture: all
Depends: ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 12 Installer
 This package will download the Google's Android SDK Platform 12 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-3.1_r03.zip
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-11-installer
Architecture: all
Depends: ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 11 Installer
 This package will download the Google's Android SDK Platform 11 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-3.0_r02.zip
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-10-installer
Architecture: all
Depends: ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 10 Installer
 This package will download the Google's Android SDK Platform 10 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be
 specified as build target.
 .
 WARNING: Installing this Debian package causes android-2.3.3_r02.zip
 to be downloaded from dl.google.com and/or from other suggested mirrors. The
 End User License Agreement of this binary package is available at
 developer.android.com.

Package: google-android-platform-9-installer
Architecture: all
Depends: ${googleAndroidInstallers:Depends},
         ${misc:Depends}
Description: Google's Android SDK Platform 9 Installer
 This package will download the Google's Android SDK Platform 9 package and
 unpacks it into Debian-friendly paths.
 .
 Google's Android SDK Platform includes android.jar file with fully compliant
 Android library. In order to build an Android app, this SDK platform must be

=== debian/rules ===
#!/usr/bin/make -f

BUILD_TOOLS_17_VERSION = 17.0.0
BUILD_TOOLS_18_VERSION = 18.1.1
BUILD_TOOLS_19_VERSION = 19.0.3
BUILD_TOOLS_20_VERSION = 20.0.0
BUILD_TOOLS_21_VERSION = 21.1.2
BUILD_TOOLS_22_VERSION = 22.0.1
BUILD_TOOLS_23_VERSION = 23.0.3
BUILD_TOOLS_24_VERSION = 24.0.2
PLATFORM_2_VERSION = 2+r1
PLATFORM_3_VERSION = 3+r04
PLATFORM_4_VERSION = 4+r03
PLATFORM_5_VERSION = 5+r01
PLATFORM_6_VERSION = 6+r01
PLATFORM_7_VERSION = 7+r03
PLATFORM_8_VERSION = 8+r03
PLATFORM_9_VERSION = 9+r02
PLATFORM_10_VERSION = 10+r02
PLATFORM_11_VERSION = 11+r02
PLATFORM_12_VERSION = 12+r03
PLATFORM_13_VERSION = 13+r01
PLATFORM_14_VERSION = 14+r04
PLATFORM_15_VERSION = 15+r05
PLATFORM_16_VERSION = 16+r05
PLATFORM_17_VERSION = 17+r03
PLATFORM_18_VERSION = 18+r03
PLATFORM_19_VERSION = 19+r04
PLATFORM_20_VERSION = 20+r02
PLATFORM_21_VERSION = 21+r02
PLATFORM_22_VERSION = 22+r02
PLATFORM_23_VERSION = 23+r03
PLATFORM_24_VERSION = 24+r02
NDK_VERSION = 12.b+1

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol -- -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-24-installer -- -v$(PLATFORM_24_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-23-installer -- -v$(PLATFORM_23_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-22-installer -- -v$(PLATFORM_22_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-21-installer -- -v$(PLATFORM_21_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-20-installer -- -v$(PLATFORM_20_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-19-installer -- -v$(PLATFORM_19_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-18-installer -- -v$(PLATFORM_18_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-17-installer -- -v$(PLATFORM_17_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-16-installer -- -v$(PLATFORM_16_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-15-installer -- -v$(PLATFORM_15_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-14-installer -- -v$(PLATFORM_14_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-13-installer -- -v$(PLATFORM_13_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-12-installer -- -v$(PLATFORM_12_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-11-installer -- -v$(PLATFORM_11_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-10-installer -- -v$(PLATFORM_10_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-9-installer -- -v$(PLATFORM_9_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-8-installer -- -v$(PLATFORM_8_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-7-installer -- -v$(PLATFORM_7_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-6-installer -- -v$(PLATFORM_6_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-5-installer -- -v$(PLATFORM_5_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-4-installer -- -v$(PLATFORM_4_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-3-installer -- -v$(PLATFORM_3_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-platform-2-installer -- -v$(PLATFORM_2_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-build-tools-24-installer -- -v$(BUILD_TOOLS_24_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-build-tools-23-installer -- -v$(BUILD_TOOLS_23_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-build-tools-22-installer -- -v$(BUILD_TOOLS_22_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-build-tools-21-installer -- -v$(BUILD_TOOLS_21_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-build-tools-20-installer -- -v$(BUILD_TOOLS_20_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-build-tools-19-installer -- -v$(BUILD_TOOLS_19_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-build-tools-18-installer -- -v$(BUILD_TOOLS_18_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-build-tools-17-installer -- -v$(BUILD_TOOLS_17_VERSION) -Tdebian/substvars
	dh_gencontrol -pgoogle-android-ndk-installer -- -v$(NDK_VERSION) -Tdebian/substvars

## google-android-installers 1472023576+nmu3

=== debian/changelog ===
google-android-installers (1472023576+nmu3) unstable; urgency=medium

  * Really increment *all* version numbers. Closes: #915657.

 -- Helge Kreutzmann <debian@helgefjell.de>  Tue, 05 Feb 2019 19:02:29 +0100

google-android-installers (1472023576+nmu2) unstable; urgency=medium

  * Non-maintainer upload
  * Explicitly increment version numbers. Closes: #915657.
  * No longer build google-android-ndk-installer. Closes: #849390.
  * Add Russian debconf translation, thanks to Lev Lamberov, Closes: #914169.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 03 Feb 2019 12:25:36 +0100

google-android-installers (1472023576+nmu1) unstable; urgency=medium

  * Non-maintainer upload for i18n with permission of a member of the
    `android-tools` team
  * Add Swedish debconf translation, thanks to Jonatan Nyberg,
    Closes: #851860, #862759.
  * Add Danish debconf translation, thanks to Joe Dalton, Closes: #856777.
  * Comment out links to now defunct alioth services.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 26 Aug 2018 15:27:21 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>=9)
 Standards-Version: 3.9.8
 Homepage: https://developer.android.com/about/index.html
-Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/google-android-installers.git
-Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/google-android-installers.git
+#Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/google-android-installers.git
+#Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/google-android-installers.git
 
 Package: google-android-platform-24-installer
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,37 +1,37 @@
 #!/usr/bin/make -f
 
-BUILD_TOOLS_17_VERSION = 17.0.0
-BUILD_TOOLS_18_VERSION = 18.1.1
-BUILD_TOOLS_19_VERSION = 19.0.3
-BUILD_TOOLS_20_VERSION = 20.0.0
-BUILD_TOOLS_21_VERSION = 21.1.2
-BUILD_TOOLS_22_VERSION = 22.0.1
-BUILD_TOOLS_23_VERSION = 23.0.3
-BUILD_TOOLS_24_VERSION = 24.0.2
-PLATFORM_2_VERSION = 2+r1
-PLATFORM_3_VERSION = 3+r04
-PLATFORM_4_VERSION = 4+r03
-PLATFORM_5_VERSION = 5+r01
-PLATFORM_6_VERSION = 6+r01
-PLATFORM_7_VERSION = 7+r03
-PLATFORM_8_VERSION = 8+r03
-PLATFORM_9_VERSION = 9+r02
-PLATFORM_10_VERSION = 10+r02
-PLATFORM_11_VERSION = 11+r02
-PLATFORM_12_VERSION = 12+r03
-PLATFORM_13_VERSION = 13+r01
-PLATFORM_14_VERSION = 14+r04
-PLATFORM_15_VERSION = 15+r05
-PLATFORM_16_VERSION = 16+r05
-PLATFORM_17_VERSION = 17+r03
-PLATFORM_18_VERSION = 18+r03
-PLATFORM_19_VERSION = 19+r04
-PLATFORM_20_VERSION = 20+r02
-PLATFORM_21_VERSION = 21+r02
-PLATFORM_22_VERSION = 22+r02
-PLATFORM_23_VERSION = 23+r03
-PLATFORM_24_VERSION = 24+r02
-NDK_VERSION = 12.b+1
+BUILD_TOOLS_17_VERSION = 17.0.0+nmu3
+BUILD_TOOLS_18_VERSION = 18.1.1+nmu3
+BUILD_TOOLS_19_VERSION = 19.0.3+nmu3
+BUILD_TOOLS_20_VERSION = 20.0.0+nmu3
+BUILD_TOOLS_21_VERSION = 21.1.2+nmu3
+BUILD_TOOLS_22_VERSION = 22.0.1+nmu3
+BUILD_TOOLS_23_VERSION = 23.0.3+nmu3
+BUILD_TOOLS_24_VERSION = 24.0.2+nmu3
+PLATFORM_2_VERSION = 2+r1+nmu3
+PLATFORM_3_VERSION = 3+r04+nmu3
+PLATFORM_4_VERSION = 4+r03+nmu3
+PLATFORM_5_VERSION = 5+r01+nmu3
+PLATFORM_6_VERSION = 6+r01+nmu3
+PLATFORM_7_VERSION = 7+r03+nmu3
+PLATFORM_8_VERSION = 8+r03+nmu3
+PLATFORM_9_VERSION = 9+r02+nmu3
+PLATFORM_10_VERSION = 10+r02+nmu3
+PLATFORM_11_VERSION = 11+r02+nmu3
+PLATFORM_12_VERSION = 12+r03+nmu3
+PLATFORM_13_VERSION = 13+r01+nmu3
+PLATFORM_14_VERSION = 14+r04+nmu3
+PLATFORM_15_VERSION = 15+r05+nmu3
+PLATFORM_16_VERSION = 16+r05+nmu3
+PLATFORM_17_VERSION = 17+r03+nmu3
+PLATFORM_18_VERSION = 18+r03+nmu3
+PLATFORM_19_VERSION = 19+r04+nmu3
+PLATFORM_20_VERSION = 20+r02+nmu3
+PLATFORM_21_VERSION = 21+r02+nmu3
+PLATFORM_22_VERSION = 22+r02+nmu3
+PLATFORM_23_VERSION = 23+r03+nmu3
+PLATFORM_24_VERSION = 24+r02+nmu3
+#NDK_VERSION = 12.b+1
 
 %:
 	dh $@
@@ -69,4 +69,4 @@
 	dh_gencontrol -pgoogle-android-build-tools-19-installer -- -v$(BUILD_TOOLS_19_VERSION) -Tdebian/substvars
 	dh_gencontrol -pgoogle-android-build-tools-18-installer -- -v$(BUILD_TOOLS_18_VERSION) -Tdebian/substvars
 	dh_gencontrol -pgoogle-android-build-tools-17-installer -- -v$(BUILD_TOOLS_17_VERSION) -Tdebian/substvars
-	dh_gencontrol -pgoogle-android-ndk-installer -- -v$(NDK_VERSION) -Tdebian/substvars
+	#dh_gencontrol -pgoogle-android-ndk-installer -- -v$(NDK_VERSION) -Tdebian/substvars

## google-android-installers 1472023576+nmu5

=== debian/changelog ===
google-android-installers (1472023576+nmu5) unstable; urgency=medium

  * Non-maintainer upload.
  * d/rules: Bump up binary package version (Closes: #960603).

 -- Roger Shimizu <rosh@debian.org>  Fri, 15 May 2020 00:00:31 +0900

google-android-installers (1472023576+nmu4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add debian/.gitlab-ci.yml
  * debian/control:
    - Add Rules-Requires-Root: no
    - Move Vcs-* to salsa.

 -- Roger Shimizu <rosh@debian.org>  Wed, 13 May 2020 21:39:12 +0900

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders: Mouaad Aallam <Mouaad@Aallam.com>
 Build-Depends: debhelper (>=9)
 Standards-Version: 3.9.8
+Rules-Requires-Root: no
 Homepage: https://developer.android.com/about/index.html
-#Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/google-android-installers.git
-#Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/google-android-installers.git
+Vcs-Git: https://salsa.debian.org/android-tools-team/google-android-installers.git
+Vcs-Browser: https://salsa.debian.org/android-tools-team/google-android-installers
 
 Package: google-android-platform-24-installer
 Architecture: all
@@ -18,7 +19,7 @@
  unpacks it into Debian-friendly paths.
  .
  Google's Android SDK Platform includes android.jar file with fully compliant
- Android library. In order to build an Android app, this SDK platform must be 
+ Android library. In order to build an Android app, this SDK platform must be
  specified as build target.
  .
  WARNING: Installing this Debian package causes platform-24_r01.zip to be
@@ -35,7 +36,7 @@
  unpacks it into Debian-friendly paths.
  .
  Google's Android SDK Platform includes android.jar file with fully compliant
- Android library. In order to build an Android app, this SDK platform must be 
+ Android library. In order to build an Android app, this SDK platform must be
  specified as build target.
  .
  WARNING: Installing this Debian package causes platform-23_r03.zip to be
@@ -52,7 +53,7 @@
  unpacks it into Debian-friendly paths.
  .
  Google's Android SDK Platform includes android.jar file with fully compliant
- Android library. In order to build an Android app, this SDK platform must be 
+ Android library. In order to build an Android app, this SDK platform must be
  specified as build target.
  .
  WARNING: Installing this Debian package causes android-22_r02.zip to be

=== debian/rules ===
--- 
+++ 
@@ -1,36 +1,36 @@
 #!/usr/bin/make -f
 
-BUILD_TOOLS_17_VERSION = 17.0.0+nmu3
-BUILD_TOOLS_18_VERSION = 18.1.1+nmu3
-BUILD_TOOLS_19_VERSION = 19.0.3+nmu3
-BUILD_TOOLS_20_VERSION = 20.0.0+nmu3
-BUILD_TOOLS_21_VERSION = 21.1.2+nmu3
-BUILD_TOOLS_22_VERSION = 22.0.1+nmu3
-BUILD_TOOLS_23_VERSION = 23.0.3+nmu3
-BUILD_TOOLS_24_VERSION = 24.0.2+nmu3
-PLATFORM_2_VERSION = 2+r1+nmu3
-PLATFORM_3_VERSION = 3+r04+nmu3
-PLATFORM_4_VERSION = 4+r03+nmu3
-PLATFORM_5_VERSION = 5+r01+nmu3
-PLATFORM_6_VERSION = 6+r01+nmu3
-PLATFORM_7_VERSION = 7+r03+nmu3
-PLATFORM_8_VERSION = 8+r03+nmu3
-PLATFORM_9_VERSION = 9+r02+nmu3
-PLATFORM_10_VERSION = 10+r02+nmu3
-PLATFORM_11_VERSION = 11+r02+nmu3
-PLATFORM_12_VERSION = 12+r03+nmu3
-PLATFORM_13_VERSION = 13+r01+nmu3
-PLATFORM_14_VERSION = 14+r04+nmu3
-PLATFORM_15_VERSION = 15+r05+nmu3
-PLATFORM_16_VERSION = 16+r05+nmu3
-PLATFORM_17_VERSION = 17+r03+nmu3
-PLATFORM_18_VERSION = 18+r03+nmu3
-PLATFORM_19_VERSION = 19+r04+nmu3
-PLATFORM_20_VERSION = 20+r02+nmu3
-PLATFORM_21_VERSION = 21+r02+nmu3
-PLATFORM_22_VERSION = 22+r02+nmu3
-PLATFORM_23_VERSION = 23+r03+nmu3
-PLATFORM_24_VERSION = 24+r02+nmu3
+BUILD_TOOLS_17_VERSION = 17.0.0+nmu5
+BUILD_TOOLS_18_VERSION = 18.1.1+nmu5
+BUILD_TOOLS_19_VERSION = 19.0.3+nmu5
+BUILD_TOOLS_20_VERSION = 20.0.0+nmu5
+BUILD_TOOLS_21_VERSION = 21.1.2+nmu5
+BUILD_TOOLS_22_VERSION = 22.0.1+nmu5
+BUILD_TOOLS_23_VERSION = 23.0.3+nmu5
+BUILD_TOOLS_24_VERSION = 24.0.2+nmu5
+PLATFORM_2_VERSION = 2+r1+nmu5
+PLATFORM_3_VERSION = 3+r04+nmu5
+PLATFORM_4_VERSION = 4+r03+nmu5
+PLATFORM_5_VERSION = 5+r01+nmu5
+PLATFORM_6_VERSION = 6+r01+nmu5
+PLATFORM_7_VERSION = 7+r03+nmu5
+PLATFORM_8_VERSION = 8+r03+nmu5
+PLATFORM_9_VERSION = 9+r02+nmu5
+PLATFORM_10_VERSION = 10+r02+nmu5
+PLATFORM_11_VERSION = 11+r02+nmu5
+PLATFORM_12_VERSION = 12+r03+nmu5
+PLATFORM_13_VERSION = 13+r01+nmu5
+PLATFORM_14_VERSION = 14+r04+nmu5
+PLATFORM_15_VERSION = 15+r05+nmu5
+PLATFORM_16_VERSION = 16+r05+nmu5
+PLATFORM_17_VERSION = 17+r03+nmu5
+PLATFORM_18_VERSION = 18+r03+nmu5
+PLATFORM_19_VERSION = 19+r04+nmu5
+PLATFORM_20_VERSION = 20+r02+nmu5
+PLATFORM_21_VERSION = 21+r02+nmu5
+PLATFORM_22_VERSION = 22+r02+nmu5
+PLATFORM_23_VERSION = 23+r03+nmu5
+PLATFORM_24_VERSION = 24+r02+nmu5
 #NDK_VERSION = 12.b+1
 
 %:
